> This page is for version API + Legacy Read.
> For other versions, use one of these documentation indexes:
> - API (default): https://docs.getthera.com/api/llms.txt
> - API + Legacy Read: https://docs.getthera.com/api-legacy-read/llms.txt
> - API + Legacy Full: https://docs.getthera.com/api-legacy-full/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getthera.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getthera.com/_mcp/server.

# Get Managers

GET https://api.getthera.com/companies/{companyId}/managers

Get all of the managers for a company

Reference: https://docs.getthera.com/thera-api/company/company-api/get-managers

## Authentication

- `X-Thera-API-Key` header (required) — API Key authentication via header

## Servers

- `https://api.getthera.com` (Production, default)
- `https://api.staging.getthera.com` (Staging)

## Request

### Path parameters

- `companyId` (string, required)

## Response

### 200

- `managers` (list of Manager, required)

## Types

### Manager

- `user` (UserApiResponse, required)
- `companyPermissions` (CompanyPermissions, required)
- `mercoaUserDetails` (MercoaUserDetails, optional)

### UserApiResponse

- `userID` (string, required)
- `email` (string, required)
- `firstName` (string, required)
- `lastName` (string, required)
- `employeeInformation` (EmployeeInformationResponse, required)
- `companyID` (string, optional)
- `dateOfBirth` (string, optional) — Date of birth in YYYY-MM-DD format.
- `lastPosthogEventDate` (string, optional)

### CompanyPermissions

- `teams` (map from string to TeamRoleAndDetails, required)
- `org` (list of OrgRoleAndDetails, required)

### MercoaUserDetails

- `entityUserId` (string, required)

### EmployeeInformationResponse

- `onboardingStatus` (enum, required)
  - Allowed values: `INVITED`, `STRIPE_ACCOUNT_MADE`, `STRIPE_LINK_COMPLETED`
- `employeeOnboardingStatus` (enum, required)
  - Allowed values: `INVITED`, `STRIPE_ACCOUNT_MADE`, `STRIPE_LINK_COMPLETED`
- `country` (string, required)
- `withdrawalMethods` (map from string to WithdrawalMethod, required)
- `paymentsVersion` (integer, required) — The Thera payment system that the user will be using. 1 is the original payment system, 2 is the current one. This will match the `paymentsVersion` of the `Company` that invites the contractor to the platform.
- `settingsByCompanyId` (map from string to UserCompanySettings, required)
- `kycInformation` (list of KycDocument, required) — If null or empty list, means user doesn't have kyc info.
- `type` (enum, required)
  - Allowed values: `person`, `entity`
- `stripeID` (string, optional)
- `address` (Address, optional)
- `complianceInformation` (ComplianceInformation, optional)
- `w8BenFileS3Key` (string, optional)
- `w8BenHistoryS3Keys` (list of string, optional) — Previous W8-BEN S3 keys in order of submission, oldest first.
- `preferredWithdrawalMethod` (string, optional)
- `documents` (UserDocuments, optional)
- `indiaGst` (string, optional) — This field is a temporary hack and may be removed at any point in the future.
- `entityInformation` (EntityInformation, optional)
- `usTaxpayer` (boolean, optional)
- `nonUsTaxpayer` (boolean, optional)

### TeamRoleAndDetails

We may allow granular changes to roles so creating this wrapper type to future-proof

- `role` (enum, required)
  - Allowed values: `role_admin`, `role_org_manager`, `role_people_manager`, `role_people_manager_and_payer`, `role_viewer_sensitive`, `role_apar_team_manager`
- `permissions` (list of enum, required) — Extra permissions can only be added to People Manager and People Manager + Payer roles.
  - Allowed values: `perm_adjust_payroll_and_payments`, `perm_approve_agreement_details_requests`, `perm_approve_payroll_and_payments`, `perm_manage_people_and_contracts`, `perm_manage_team_admins`, `perm_manage_team_settings`, `perm_pay_invoices`, `perm_view_nonsensitive_employee_info`, `perm_view_sensitive_employee_info`, `perm_view_sensitive_payroll_info`

### OrgRoleAndDetails

We may allow granular changes to roles so creating this wrapper type to future-proof

- `role` (enum, required)
  - Allowed values: `role_admin`, `role_manager`, `role_org_manager`, `role_apar_admin`, `role_apar_manager`

### WithdrawalMethod

- `type`: `bankTransfer`
  - `accountHolderName` (string, required)
  - `accountType` (enum, required)
    - Allowed values: `BANK_TRANSFER`, `WISE`, `PAYONEER`, `ASTROPAY`, `DOLARAPP`, `TAKENOS`, `PAYPAL`, `THERA_WALLET`, `CORPAY`, `DLOCAL_STABLECOIN`
  - `currency` (string, required)
  - `deleted` (boolean, required)
  - `details` (map from string to string, required)
  - `methodType` (string, required)
  - `recipientAddress` (BankAddress, required)
  - `title` (string, required)
  - `forceOffPlatformReason` (string, optional) — If present, indicates that this payment needs to be off platform, even if it appears to be supported on our platform. This lets us handle edge cases, like specific PH local methods we can't pay on platform.
  - `poweredBy` (enum, optional)
    - Allowed values: `dlocal`, `wise`, `offplatform`, `corpay`, `dlocal_stablecoin`, `payoneer`, `astropay`
  - `routeToProvider` (boolean, optional) — Only set for Venezuelan contractors (taxCountry == VE). When true, bypasses the forced off-platform override so the payment routes to the provider specified by poweredBy instead of being forced off-platform.
  - `wiseRecipientAccountId` (long, optional)

### UserCompanySettings

- `accountIdsByCurrency` (map from string to string, required)
- `autoWithdrawalsOn` (boolean, required)
- `theraAdvanceAccountIdsByCurrency` (map from string to string, optional)
- `conversionAccountIdsByCurrency` (map from string to string, optional)
- `theraAdvanceId` (string, optional)
- `documents` (UserCompanyDocuments, optional)
- `workerTaxData` (WorkerTaxData, optional)
- `timeOffHistory` (TimeOffHistory, optional)
- `contractorPro` (ContractorProInfo, optional) — Contractor Pro insurance status for a specific company. Tracks current status, timestamps, and cancellation history for audit. When Pro is active, createdAt/createdByUserId are set. When Pro is cancelled, these are null and cancellation info is in pastCancellations.

### KycDocument

- `type` (enum, required)
  - Allowed values: `ID_CARD`, `PASSPORT`, `DRIVER_LICENSE`, `RESIDENT_CARD`, `UNKNOWN`, `VOTER_ID`, `NATIONAL_ID`
- `createdAt` (long, required) — In Epoch second. Refers to when the doc is created in our provider, not about when the document is uploaded and downloadable.
- `aiPriseVerificationResult` (AiPriseVerificationResult, required)
- `file` (KycDocumentFile, optional)

### Address

- `city` (string, required)
- `country` (string, required)
- `line1` (string, required)
- `postalCode` (string, required)
- `line2` (string, optional)
- `state` (string, optional)

### ComplianceInformation

- `documents` (list of ComplianceDocument, required)

### UserDocuments

- `usW9DocumentId` (string, required)

### EntityInformation

- `name` (string, required)
- `type` (enum, required)
  - Allowed values: `FOREIGN_COMPANY_BRANCH`, `COMPANY_LIMITED_BY_GUARANTEE`, `INCORPORATION`, `JOINT_STOCK_COMPANIES`, `LIMITED_LIABILITY_PARTNERSHIP`, `NON_PROFIT_CORPORATION`, `PRIVATE_COMPANY_LIMITED_BY_SHARES`, `PRIVATE_LIABILITY_COMPANY`, `PUBLIC_COMPANY_LIMITED_BY_SHARES`, `PUBLIC_LIABILITY_COMPANY`, `SOLE_PROPRIETOR_OR_SOLE_TRADER`, `TRUSTS`, `UNLIMITED_COMPANY`, `REGISTERED_INDIVIDUAL`, `UNREGISTERED_INDIVIDUAL`, `SOLE_TRADER`, `OTHER`, `B_CORPORATION`, `C_CORPORATION`, `GENERAL_PARTNERSHIP`, `LIMITED_LIABILITY_COMPANY`, `LIMITED_PARTNERSHIP`, `NON_PROFIT_501C_3`, `NON_PROFIT_OTHER`, `S_CORPORATION`, `SOLE_PROPRIETORSHIP`
- `address` (Address, required)
- `registrationNumber` (string, optional) — Optional.
- `vatId` (string, optional) — Optional.
- `documents` (EntityDocuments, optional)
- `usTaxpayer` (boolean, optional)
- `nonUsTaxpayer` (boolean, optional) — When true, treats the entity as non-US for tax purposes despite having a US address. Mirrors the same field on EmployeeInformation for entity-type contractors. See EmployeeInformation.nonUsTaxpayer for full description.

### BankAddress

- `city` (string, required)
- `country` (string, required)
- `line1` (string, required)
- `line2` (string, optional)
- `postalCode` (string, optional)
- `state` (string, optional)

### UserCompanyDocuments

- `usIrs1099NecDocumentIdByYear` (map from integer to UsIrs1099NecDocumentIds, required)

### WorkerTaxData

- `nonTheraPayByYear` (map from integer to long, required)

### TimeOffHistory

- `paidTimeOffsByPolicyId` (map from string to list of PaidTimeOff, required)
- `unpaidTimeOffsByPolicyId` (map from string to list of UnpaidTimeOff, required)

### ContractorProInfo

Contractor Pro insurance status for a specific company. Tracks current status, timestamps, and cancellation history for audit. When Pro is active, createdAt/createdByUserId are set. When Pro is cancelled, these are null and cancellation info is in pastCancellations.

- `isActive` (boolean, optional) — Current Pro status: - true: Pro is currently active - false: Pro was cancelled - null/absent: treat as false
- `createdAt` (datetime, optional) — When Pro was activated with this company. Null when Pro is cancelled.
- `createdByUserId` (string, optional) — Admin user ID who activated Pro. Null when Pro is cancelled.
- `lastBilledDate` (string, optional) — The last date the Pro subscription was billed for this contractor. Format: "YYYY-MM-DD" (e.g., "2024-01-15"). Billing still occurs once per month (comparison by month portion).
- `pastCancellations` (list of ContractorProCancellation, optional) — History of all cancellations for audit trail. Most recent cancellation is last in the list. Empty or null if never cancelled.

### AiPriseVerificationResult

- `status` (enum, required)
  - Allowed values: `APPROVED`, `DECLINED`, `REVIEW`, `UNKNOWN`
- `warnings` (list of AiPriseWarnings, required) — List of warning messages from identity verification when approved, declined or in review.
- `sessionId` (string, optional) — If not present, then verification was uploaded manually and not completed through the verification provider.

### KycDocumentFile

- `identityDocumentFrontFileS3Key` (string, optional)
- `identityDocumentBackFileS3Key` (string, optional)
- `selfieFileS3Key` (string, optional)

### ComplianceDocument

- `type` (enum, required)
  - Allowed values: `PASSPORT`, `ID`, `PASSPORT_OR_ID`, `AADHAR`, `SSN`, `LICENSE`, `GST_REGISTRATION_NUMBER_OR_TAN`, `TIN`, `ENTITY_PROOF_OF_REGISTRATION`, `ANNUAL_RETURNS_PAYMENT`, `REGISTRATION_UNDER_INCOME_TAX_LAWS`, `PIN_CERTIFICATE`, `NHIF_MEMBERSHIP`, `SECTOR_SPECIFIC_LICENSES_OR_PERMITS`, `TAX_ID`, `BANK_ACCOUNT`, `CURRENT_TAX_COMPLIANCE_CERTIFICATE`, `SOCIAL_SECURITY_CONTRIBUTIONS`, `CPF`, `PIS_NISS`, `RNC`, `AUTHORIZED_NCF_NUMBER`, `HST_REGISTRATION`, `ARTICLES_OF_INCORPORATION`, `CERTIFICATE_OF_GOOD_STANDING`, `FEDERAL_TAXPAYER_REGISTRY`, `EMPLOYER_REGISTRATION`, `CTC`
- `complianceFileID` (string, required)
- `uploadDate` (string, required)

### EntityDocuments

- `usW9DocumentId` (string, optional) — If empty, it means user hasn't submitted the form yet.
- `usW8BenEFileS3Key` (string, optional) — If empty, it means user hasn't submitted the form yet.
- `w8BenEHistoryS3Keys` (list of string, optional) — Previous W8-BEN-E S3 keys in order of submission, oldest first.

### UsIrs1099NecDocumentIds

- `documentId` (string, required)
- `legacyCopyCDocumentId` (string, optional) — Backward compat only — old Copy C (recipient copy) document ID for pre-migration filings. Null for all new filings.
- `copyADocumentId` (string, optional) — Backward compat only: older records stored the Copy A document ID under this key. Use documentId for all new filings.
- `copyCDocumentId` (string, optional) — Backward compat only: older records stored the Copy C document ID under this key. Use legacyCopyCDocumentId for all new filings.

### PaidTimeOff

- `id` (string, required)
- `contractId` (string, required) — The Contract ID that was used for PTO. Note that for now this doesn't have any effect to the contract.
- `description` (string, required)
- `detailsByDate` (map from date to PaidTimeOffDetails, required)
- `attachmentFileId` (string, required)
- `status` (enum, required)
  - Allowed values: `IN_REVIEW`, `APPROVED`, `DENIED`, `CANCELLED`
- `createdBy` (string, required)
- `createdAt` (long, required) — In Epoch second

### UnpaidTimeOff

### ContractorProCancellation

Record of a Pro insurance cancellation event for audit trail

- `cancelledAt` (datetime, required) — When Pro was cancelled
- `cancelledByUserId` (string, required) — Who cancelled it (user ID or 'SYSTEM' for auto-cancellation)
- `reason` (string, required) — Why it was cancelled (e.g., 'No active contracts', 'Manual cancellation by admin')

### AiPriseWarnings

- `code` (string, required)
- `message` (string, optional) — Optional because the verification provider's message is also optional

### PaidTimeOffDetails

- `timeOffLength` (enum, required)
  - Allowed values: `FULL_DAY`, `HALF_DAY`, `HOURS`
- `hours` (double, optional) — Populated when timeOffLength = HOURS. Stores the exact hours submitted.

## Examples

**Response**

```json
{
  "managers": [
    {
      "user": {
        "userID": "userID",
        "email": "email",
        "firstName": "firstName",
        "lastName": "lastName",
        "employeeInformation": {
          "onboardingStatus": "INVITED",
          "employeeOnboardingStatus": "INVITED",
          "country": "country",
          "withdrawalMethods": {
            "withdrawalMethods": {
              "type": "bankTransfer",
              "accountHolderName": "accountHolderName",
              "accountType": "BANK_TRANSFER",
              "currency": "currency",
              "deleted": true,
              "details": {
                "details": "details"
              },
              "methodType": "methodType",
              "recipientAddress": {
                "city": "city",
                "country": "country",
                "line1": "line1",
                "line2": "line2",
                "postalCode": "postalCode",
                "state": "state"
              },
              "title": "title",
              "forceOffPlatformReason": "forceOffPlatformReason",
              "poweredBy": "dlocal",
              "routeToProvider": true,
              "wiseRecipientAccountId": 1000000
            }
          },
          "paymentsVersion": 1,
          "settingsByCompanyId": {
            "settingsByCompanyId": {
              "accountIdsByCurrency": {
                "accountIdsByCurrency": "accountIdsByCurrency"
              },
              "autoWithdrawalsOn": true,
              "theraAdvanceAccountIdsByCurrency": {
                "theraAdvanceAccountIdsByCurrency": "theraAdvanceAccountIdsByCurrency"
              },
              "conversionAccountIdsByCurrency": {
                "conversionAccountIdsByCurrency": "conversionAccountIdsByCurrency"
              },
              "theraAdvanceId": "theraAdvanceId",
              "documents": {
                "usIrs1099NecDocumentIdByYear": {}
              },
              "workerTaxData": {
                "nonTheraPayByYear": {
                  "1": 1000000
                }
              },
              "timeOffHistory": {
                "paidTimeOffsByPolicyId": {
                  "paidTimeOffsByPolicyId": []
                },
                "unpaidTimeOffsByPolicyId": {
                  "unpaidTimeOffsByPolicyId": []
                }
              },
              "contractorPro": {
                "isActive": true,
                "createdAt": "2024-01-15T09:30:00Z",
                "createdByUserId": "createdByUserId",
                "lastBilledDate": "lastBilledDate",
                "pastCancellations": []
              }
            }
          },
          "kycInformation": [
            {
              "type": "ID_CARD",
              "createdAt": 1000000,
              "aiPriseVerificationResult": {
                "status": "APPROVED",
                "warnings": [
                  {
                    "code": "code"
                  },
                  {
                    "code": "code"
                  }
                ],
                "sessionId": "sessionId"
              },
              "file": {
                "identityDocumentFrontFileS3Key": "identityDocumentFrontFileS3Key",
                "identityDocumentBackFileS3Key": "identityDocumentBackFileS3Key",
                "selfieFileS3Key": "selfieFileS3Key"
              }
            },
            {
              "type": "ID_CARD",
              "createdAt": 1000000,
              "aiPriseVerificationResult": {
                "status": "APPROVED",
                "warnings": [
                  {
                    "code": "code"
                  },
                  {
                    "code": "code"
                  }
                ],
                "sessionId": "sessionId"
              },
              "file": {
                "identityDocumentFrontFileS3Key": "identityDocumentFrontFileS3Key",
                "identityDocumentBackFileS3Key": "identityDocumentBackFileS3Key",
                "selfieFileS3Key": "selfieFileS3Key"
              }
            }
          ],
          "type": "person",
          "stripeID": "stripeID",
          "address": {
            "city": "city",
            "country": "country",
            "line1": "line1",
            "postalCode": "postalCode",
            "line2": "line2",
            "state": "state"
          },
          "complianceInformation": {
            "documents": [
              {
                "type": "PASSPORT",
                "complianceFileID": "complianceFileID",
                "uploadDate": "uploadDate"
              },
              {
                "type": "PASSPORT",
                "complianceFileID": "complianceFileID",
                "uploadDate": "uploadDate"
              }
            ]
          },
          "w8BenFileS3Key": "w8BenFileS3Key",
          "w8BenHistoryS3Keys": [
            "w8BenHistoryS3Keys",
            "w8BenHistoryS3Keys"
          ],
          "preferredWithdrawalMethod": "preferredWithdrawalMethod",
          "documents": {
            "usW9DocumentId": "usW9DocumentId"
          },
          "indiaGst": "indiaGst",
          "entityInformation": {
            "name": "name",
            "type": "FOREIGN_COMPANY_BRANCH",
            "address": {
              "city": "city",
              "country": "country",
              "line1": "line1",
              "postalCode": "postalCode",
              "line2": "line2",
              "state": "state"
            },
            "registrationNumber": "registrationNumber",
            "vatId": "vatId",
            "documents": {
              "usW9DocumentId": "usW9DocumentId",
              "usW8BenEFileS3Key": "usW8BenEFileS3Key",
              "w8BenEHistoryS3Keys": []
            },
            "usTaxpayer": true,
            "nonUsTaxpayer": true
          },
          "usTaxpayer": true,
          "nonUsTaxpayer": true
        },
        "companyID": "companyID",
        "dateOfBirth": "dateOfBirth",
        "lastPosthogEventDate": "lastPosthogEventDate"
      },
      "companyPermissions": {
        "teams": {
          "teams": {
            "role": "role_admin",
            "permissions": [
              "perm_adjust_payroll_and_payments",
              "perm_adjust_payroll_and_payments"
            ]
          }
        },
        "org": [
          {
            "role": "role_admin"
          },
          {
            "role": "role_admin"
          }
        ]
      },
      "mercoaUserDetails": {
        "entityUserId": "entityUserId"
      }
    },
    {
      "user": {
        "userID": "userID",
        "email": "email",
        "firstName": "firstName",
        "lastName": "lastName",
        "employeeInformation": {
          "onboardingStatus": "INVITED",
          "employeeOnboardingStatus": "INVITED",
          "country": "country",
          "withdrawalMethods": {
            "withdrawalMethods": {
              "type": "bankTransfer",
              "accountHolderName": "accountHolderName",
              "accountType": "BANK_TRANSFER",
              "currency": "currency",
              "deleted": true,
              "details": {
                "details": "details"
              },
              "methodType": "methodType",
              "recipientAddress": {
                "city": "city",
                "country": "country",
                "line1": "line1",
                "line2": "line2",
                "postalCode": "postalCode",
                "state": "state"
              },
              "title": "title",
              "forceOffPlatformReason": "forceOffPlatformReason",
              "poweredBy": "dlocal",
              "routeToProvider": true,
              "wiseRecipientAccountId": 1000000
            }
          },
          "paymentsVersion": 1,
          "settingsByCompanyId": {
            "settingsByCompanyId": {
              "accountIdsByCurrency": {
                "accountIdsByCurrency": "accountIdsByCurrency"
              },
              "autoWithdrawalsOn": true,
              "theraAdvanceAccountIdsByCurrency": {
                "theraAdvanceAccountIdsByCurrency": "theraAdvanceAccountIdsByCurrency"
              },
              "conversionAccountIdsByCurrency": {
                "conversionAccountIdsByCurrency": "conversionAccountIdsByCurrency"
              },
              "theraAdvanceId": "theraAdvanceId",
              "documents": {
                "usIrs1099NecDocumentIdByYear": {}
              },
              "workerTaxData": {
                "nonTheraPayByYear": {
                  "1": 1000000
                }
              },
              "timeOffHistory": {
                "paidTimeOffsByPolicyId": {
                  "paidTimeOffsByPolicyId": []
                },
                "unpaidTimeOffsByPolicyId": {
                  "unpaidTimeOffsByPolicyId": []
                }
              },
              "contractorPro": {
                "isActive": true,
                "createdAt": "2024-01-15T09:30:00Z",
                "createdByUserId": "createdByUserId",
                "lastBilledDate": "lastBilledDate",
                "pastCancellations": []
              }
            }
          },
          "kycInformation": [
            {
              "type": "ID_CARD",
              "createdAt": 1000000,
              "aiPriseVerificationResult": {
                "status": "APPROVED",
                "warnings": [
                  {
                    "code": "code"
                  },
                  {
                    "code": "code"
                  }
                ],
                "sessionId": "sessionId"
              },
              "file": {
                "identityDocumentFrontFileS3Key": "identityDocumentFrontFileS3Key",
                "identityDocumentBackFileS3Key": "identityDocumentBackFileS3Key",
                "selfieFileS3Key": "selfieFileS3Key"
              }
            },
            {
              "type": "ID_CARD",
              "createdAt": 1000000,
              "aiPriseVerificationResult": {
                "status": "APPROVED",
                "warnings": [
                  {
                    "code": "code"
                  },
                  {
                    "code": "code"
                  }
                ],
                "sessionId": "sessionId"
              },
              "file": {
                "identityDocumentFrontFileS3Key": "identityDocumentFrontFileS3Key",
                "identityDocumentBackFileS3Key": "identityDocumentBackFileS3Key",
                "selfieFileS3Key": "selfieFileS3Key"
              }
            }
          ],
          "type": "person",
          "stripeID": "stripeID",
          "address": {
            "city": "city",
            "country": "country",
            "line1": "line1",
            "postalCode": "postalCode",
            "line2": "line2",
            "state": "state"
          },
          "complianceInformation": {
            "documents": [
              {
                "type": "PASSPORT",
                "complianceFileID": "complianceFileID",
                "uploadDate": "uploadDate"
              },
              {
                "type": "PASSPORT",
                "complianceFileID": "complianceFileID",
                "uploadDate": "uploadDate"
              }
            ]
          },
          "w8BenFileS3Key": "w8BenFileS3Key",
          "w8BenHistoryS3Keys": [
            "w8BenHistoryS3Keys",
            "w8BenHistoryS3Keys"
          ],
          "preferredWithdrawalMethod": "preferredWithdrawalMethod",
          "documents": {
            "usW9DocumentId": "usW9DocumentId"
          },
          "indiaGst": "indiaGst",
          "entityInformation": {
            "name": "name",
            "type": "FOREIGN_COMPANY_BRANCH",
            "address": {
              "city": "city",
              "country": "country",
              "line1": "line1",
              "postalCode": "postalCode",
              "line2": "line2",
              "state": "state"
            },
            "registrationNumber": "registrationNumber",
            "vatId": "vatId",
            "documents": {
              "usW9DocumentId": "usW9DocumentId",
              "usW8BenEFileS3Key": "usW8BenEFileS3Key",
              "w8BenEHistoryS3Keys": []
            },
            "usTaxpayer": true,
            "nonUsTaxpayer": true
          },
          "usTaxpayer": true,
          "nonUsTaxpayer": true
        },
        "companyID": "companyID",
        "dateOfBirth": "dateOfBirth",
        "lastPosthogEventDate": "lastPosthogEventDate"
      },
      "companyPermissions": {
        "teams": {
          "teams": {
            "role": "role_admin",
            "permissions": [
              "perm_adjust_payroll_and_payments",
              "perm_adjust_payroll_and_payments"
            ]
          }
        },
        "org": [
          {
            "role": "role_admin"
          },
          {
            "role": "role_admin"
          }
        ]
      },
      "mercoaUserDetails": {
        "entityUserId": "entityUserId"
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.getthera.com/companies/companyId/managers"

headers = {"X-Thera-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.getthera.com/companies/companyId/managers';
const options = {method: 'GET', headers: {'X-Thera-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getthera.com/companies/companyId/managers"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Thera-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.getthera.com/companies/companyId/managers")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Thera-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getthera.com/companies/companyId/managers")
  .header("X-Thera-API-Key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getthera.com/companies/companyId/managers', [
  'headers' => [
    'X-Thera-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.getthera.com/companies/companyId/managers");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Thera-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Thera-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getthera.com/companies/companyId/managers")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```